Notification

Mark all notifications as read

Marks all unread in-app notifications as read for the current user in their workspace.

PATCH
/api/v2/notifications/read-all

Authorization

BearerAuthObject
AuthorizationBearer <token>

Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.

In: header

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v2/notifications/read-all"
Empty
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}